package org.cocos2dx.javascript.thirdSdk.umeng;

import android.app.Application;
import android.util.Log;

import com.umeng.commonsdk.UMConfigure;

public class MyApplication extends Application {
    @Override
    public void onCreate() {
        super.onCreate();
        // 在此处调用基础组件包提供的初始化函数 相应信息可在应用管理 -> 应用信息 中找到 http://message.umeng.com/list/apps
        // 参数一：当前上下文context；
        // 参数二：应用申请的Appkey（需替换）；
        // 参数三：渠道名称；
        // 参数四：设备类型，必须参数，传参数为UMConfigure.DEVICE_TYPE_PHONE则表示手机；传参数为UMConfigure.DEVICE_TYPE_BOX则表示盒子；默认为手机；
        // 参数五：Push推送业务的secret 填充Umeng Message Secret对应信息（需替换）

        Log.d("友盟SDK初始化","onCreate");

        UMSDKMgr.getInstance().myApplication = this;

        //设置友盟SDK加密
        UMConfigure.setEncryptEnabled(true);
        // 打开统计SDK调试模式
//        UMConfigure.setLogEnabled(true);

        UMSDKMgr.getInstance()._UMPREInit();

        UMSDKMgr.getInstance()._UMSDKStartAuto();
    }
}
